Introduction
------------

**Broker_Keystones** is a [data broker](https://github.com/tekkub/libdatabroker-1-1/wiki) addon which collects information about your characters' keystones and weekly dungeons and displays them in a tooltip.

It comes with its own minimap button, but you may wish to install an addon that can display brokers.  [Here are several broker display addons](https://github.com/tekkub/libdatabroker-1-1/wiki/Addons-using-LDB#display-addons) - choose whichever you like.  If you're using a full UI replacement (e.g. ElvUI), then it may support brokers too.  Look out for "data texts", or something similar, in your UI's settings.



Features
--------

![Screenshot](https://media.forgecdn.net/attachments/228/791/bk-new.png "Screenshot")

* The broker text reflects the keystone that your current character owns (otherwise, it displays "No Keystone").  It can also be configured to display your current best run for the week, if available.
* `Shift-click` the broker to insert a link to your keystone into your chat window.
* `Left-click` the broker to bring up a menu which allows you to report your keystones/runs into the chat window.  By default, this will only report characters that are on the same realm and faction.
* `Right-click` the broker to bring up a configuration menu.  Here, you can opt to use shorthand dungeon names ("Maw of Souls" -&gt; "Maw", "Court of Stars" -&gt; "CoS", etc.), change how keystones and weekly best runs are displayed, and de-anonymise your characters in any reports that you send.


Installation
------------

The addon can be installed through [WoW Interface](http://www.wowinterface.com/downloads/fileinfo.php?id=24618), the Twitch desktop client or [Curse](https://www.curseforge.com/wow/addons/broker_keystones).  You can also [browse the file history](https://wow.curseforge.com/projects/broker_keystones/files) (though I suggest always using the latest version).

There are currently two release channels: `alpha`, which contains the very latest (and potentially unstable) code, and `beta`, which contains code that is more-tested and are less likely to break.  In the future, a `release` channel will be added when appropriate.


Known Issues
------------

The [issues tracker](https://wow.curseforge.com/projects/broker_keystones/issues) has a list of known issues, as well as upcoming enhancements.

Battle for Azeroth
------------------

The alpha channel has preliminary support for Battle for Azeroth.  It has been tested on the beta (in so far as it loads as expected, and can display hand-crafted test data using BfA dungeons.)  I am aiming for Legion-like compatibility on day one of the BfA pre-patch.
